public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: Henning Schild <henning.schild@siemens.com>
To: isar-users@googlegroups.com
Cc: Alexander Smirnov <alex.bluesman.smirnov@gmail.com>,
	Christian Storm <christian.storm@siemens.com>,
	Claudius Heine <ch@denx.de>,
	Henning Schild <henning.schild@siemens.com>
Subject: [PATCH 6/6] recipes-app/example-custom: add example on how to use dpkg-custom
Date: Wed, 30 Aug 2017 21:03:57 +0200	[thread overview]
Message-ID: <3dabf24441bb486c830ef72df228848206b1bef5.1504119538.git.henning.schild@siemens.com> (raw)
In-Reply-To: <cover.1504119538.git.henning.schild@siemens.com>
In-Reply-To: <cover.1504119538.git.henning.schild@siemens.com>

Issue:
It might not be clear to a user how to make use of the class
dpkg-custom.

Change:
Add an example that demonstrates some features.

Impact:
This patch does not change the behaviour of Isar. It addresses the issue
partially, documentation would also be useful.

Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
 .../example-custom/example-custom_0.1.bb           | 35 ++++++++++++++++++++++
 meta-isar/recipes-app/example-custom/files/README  |  1 +
 .../recipes-app/example-custom/files/postinst      | 16 ++++++++++
 3 files changed, 52 insertions(+)
 create mode 100644 meta-isar/recipes-app/example-custom/example-custom_0.1.bb
 create mode 100644 meta-isar/recipes-app/example-custom/files/README
 create mode 100644 meta-isar/recipes-app/example-custom/files/postinst

diff --git a/meta-isar/recipes-app/example-custom/example-custom_0.1.bb b/meta-isar/recipes-app/example-custom/example-custom_0.1.bb
new file mode 100644
index 0000000..efa813e
--- /dev/null
+++ b/meta-isar/recipes-app/example-custom/example-custom_0.1.bb
@@ -0,0 +1,35 @@
+# Sample application using dpkg-custom, which turns a folder (${D}) of
+# files into a .deb 
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Sample application for ISAR"
+MAINTAINER = "Your name here <you@domain.com>"
+DEBIAN_DEPENDS = "apt"
+
+SRC_URI = "file://README \
+	   file://postinst"
+
+inherit dpkg-custom
+
+do_populate_package() {
+	bbnote "Creating ${PN} binary"
+	echo "#!/bin/sh" > ${WORKDIR}/${PN}
+	echo "echo Hello ISAR! ${PN}_${PV}" >> ${WORKDIR}/${PN}
+
+	bbnote "Putting ${PN} into package"
+	install -v -d ${D}/usr/local/bin/
+	install -v -m 755 ${WORKDIR}/${PN} ${D}/usr/local/bin/${PN}
+
+	bbnote "Now copy ${FILESDIR}/README into package"
+	install -v -d ${D}/usr/local/doc/
+	install -v -m 644 ${WORKDIR}/README ${D}/usr/local/doc/README-${P}
+
+	bbnote "Now for a debian hook, see dpkg-deb"
+	install -v -m 755 ${WORKDIR}/postinst ${D}/DEBIAN/postinst
+
+	bbnote "Now for a fake config file"
+	echo "# empty config file" > ${WORKDIR}/${PN}.conf
+	install -v -d ${D}/usr/local/etc/
+	install -v -m 644 ${WORKDIR}/${PN}.conf ${D}/usr/local/etc/${PN}.conf
+}
diff --git a/meta-isar/recipes-app/example-custom/files/README b/meta-isar/recipes-app/example-custom/files/README
new file mode 100644
index 0000000..6e2ce0f
--- /dev/null
+++ b/meta-isar/recipes-app/example-custom/files/README
@@ -0,0 +1 @@
+This is an example file that we get from FILESDIR in recipe.
diff --git a/meta-isar/recipes-app/example-custom/files/postinst b/meta-isar/recipes-app/example-custom/files/postinst
new file mode 100644
index 0000000..a28afa3
--- /dev/null
+++ b/meta-isar/recipes-app/example-custom/files/postinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if ! getent group isar >/dev/null; then
+	addgroup --quiet --system isar
+fi
+
+if ! getent passwd isar >/dev/null; then
+	useradd --system --gid isar --create-home \
+		--home /var/lib/isar --no-user-group \
+		--comment "My isar user" \
+		isar
+fi
+
+chown -R isar:isar /var/lib/isar
-- 
2.13.5


  parent reply	other threads:[~2017-08-30 19:03 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-30 19:03 [PATCH 0/6] v3 of getting the custom debian package in Henning Schild
2017-08-30 19:03 ` [PATCH 1/6] meta/dpkg: Make 'do_unpack' more generic, prepare for pulling out Henning Schild
2017-09-04 15:11   ` Alexander Smirnov
2017-09-04 16:47     ` Jan Kiszka
2017-09-05  7:05     ` Claudius Heine
2017-09-05  7:25       ` Alexander Smirnov
2017-09-05  7:37         ` Alexander Smirnov
2017-09-05  7:56           ` Claudius Heine
2017-09-08  8:30           ` Henning Schild
2017-09-08  8:44             ` Claudius Heine
2017-09-08  9:03               ` Henning Schild
2017-08-30 19:03 ` [PATCH 2/6] meta: Move 'do_fetch' and 'do_unpack' to base-class Henning Schild
2017-09-04 15:14   ` Alexander Smirnov
2017-09-04 16:03     ` Jan Kiszka
2017-09-04 16:10       ` Alexander Smirnov
2017-09-04 16:11         ` Jan Kiszka
2017-09-04 16:39           ` Alexander Smirnov
2017-09-04 16:45             ` Jan Kiszka
2017-08-30 19:03 ` [PATCH 3/6] meta/dpkg: rename to dpkg-debian and add comment Henning Schild
2017-08-31  8:23   ` Claudius Heine
2017-09-04 15:17   ` Alexander Smirnov
2017-09-04 16:05     ` Jan Kiszka
2017-08-30 19:03 ` [PATCH 4/6] meta/dpkg-debian: Make 'do_install' more generic, prepare for pulling out Henning Schild
2017-08-30 19:09   ` Henning Schild
2017-09-08  8:35     ` Henning Schild
2017-08-30 19:03 ` [PATCH 5/6] meta/dpkg: add dpkg-custom class Henning Schild
2017-08-31  8:38   ` Claudius Heine
2017-08-31  8:42     ` Jan Kiszka
2017-08-31  9:10       ` Claudius Heine
2017-08-31  9:32       ` Henning Schild
2017-08-31 12:14         ` Claudius Heine
2017-08-31 13:39           ` Henning Schild
2017-09-11  8:39       ` Alexander Smirnov
2017-08-31  8:53     ` Claudius Heine
2017-08-31 10:21       ` Henning Schild
2017-09-04 15:36   ` Alexander Smirnov
2017-09-04 16:08     ` Jan Kiszka
2017-09-04 16:30       ` Alexander Smirnov
2017-09-04 16:53         ` Jan Kiszka
2017-09-08  8:20         ` Henning Schild
2017-09-08  8:15     ` Henning Schild
2017-09-08  8:31       ` Alexander Smirnov
2017-09-08  8:42         ` Henning Schild
2017-09-08  8:50           ` Alexander Smirnov
2017-09-11  8:13     ` Claudius Heine
2017-09-11  8:19       ` Henning Schild
2017-09-11  9:12         ` Claudius Heine
2017-09-11  8:42       ` Claudius Heine
2017-08-30 19:03 ` Henning Schild [this message]
2017-09-04 15:40   ` [PATCH 6/6] recipes-app/example-custom: add example on how to use dpkg-custom Alexander Smirnov
2017-09-06  7:36     ` Henning Schild

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=3dabf24441bb486c830ef72df228848206b1bef5.1504119538.git.henning.schild@siemens.com \
    --to=henning.schild@siemens.com \
    --cc=alex.bluesman.smirnov@gmail.com \
    --cc=ch@denx.de \
    --cc=christian.storm@siemens.com \
    --cc=isar-users@googlegroups.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox